<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.trace.views"
   name="%PLUGIN_NAME"
   version="3.0.1.1"
   provider-name="%PROVIDER_NAME"
   class="org.eclipse.hyades.trace.views.internal.TraceUIPlugin">

   <runtime>
      <library name="ui.jar">
         <export name="*"/>
         <packages prefixes="org.eclipse.hyades.trace.views"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.hyades.trace.ui"/>
      <import plugin="org.eclipse.hyades.models.hierarchy"/>
      <import plugin="org.eclipse.hyades.models.trace"/>
      <import plugin="org.eclipse.hyades.execution.local"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.jdt.core"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.hyades.statistical.ui"/>
      <import plugin="org.eclipse.hyades.perfmon"/>
      <import plugin="org.eclipse.ui.console"/>
   </requires>


   <extension-point id="columnExtension" name="column.extension" schema="schema/columnExtension.exsd"/>

<!-- ================================================================================= -->
   <extension
         point="org.eclipse.ui.views">
      <view
            name="%STR_PACKAGE_ST_TITLE"
            icon="./icons/full/cview16/packclass_statistic_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.trace.views.adapter.internal.PackageStatisticViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.PackageStatisticViewer">
      </view>
      <view
            name="%STR_CLASS_ST_TITLE"
            icon="./icons/full/cview16/classmeth_statistic_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.trace.views.adapter.internal.ClassStatisticViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.ClassStatisticViewer">
      </view>
      <view
            name="%STR_CLASS_INSTANCE_ST_TITLE"
            icon="./icons/full/cview16/classinst_statistic_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.trace.views.adapter.internal.ClassInstanceStatisticViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.ClassInstanceStatisticViewer">
      </view>
      <view
            name="%STR_METH_ST_TITLE"
            icon="./icons/full/cview16/meth_statistic_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.trace.views.adapter.internal.MethodStatisticViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.MethodStatisticViewer">
      </view>
      <view
            name="%STR_COVERAGE_ST_TITLE"
            icon="./icons/full/cview16/cov_statistic_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.trace.views.adapter.internal.CoverageViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.CoverageViewer">
      </view>
      <view
            name="%STR_EXEC_TITLE"
            icon="./icons/full/cview16/exec_flow_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.trace.views.adapter.internal.PatternViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.PatternViewer">
      </view>
      <view
            name="%STR_METH_INVOC_TITLE"
            icon="./icons/full/cview16/meth_invc_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.trace.views.adapter.internal.SinglePatternViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.SinglePatternViewer">
      </view>
      <view
            name="%STR_EXECUTION_FLOW_TABLE"
            icon="./icons/full/cview16/exec_flow_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.trace.views.adapter.internal.ExecutionStatisticViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.ExecutionStatisticViewer">
      </view>
      <view
            name="%STR_INVOCATION_TABLE"
            icon="./icons/full/cview16/meth_invc_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.trace.views.adapter.internal.InvocationTableViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.InvocationTableViewer">
      </view>
      <view
            name="%STR_OBJ_REF_TITLE"
            icon="./icons/full/cview16/obj_ref_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.trace.views.adapter.internal.ReferenceTableViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.ReferenceTableViewer">
      </view>
      <view
            name="%STR_STAT_TITLE"
            icon="./icons/full/cview16/model_statistic_view.gif"
            category="org.eclipse.hyades.trace.internal.ui.trace"
            class="org.eclipse.hyades.trace.views.adapter.internal.StatisticalViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.StatisticalViewer">
      </view>
   </extension>
<!-- ================================================================================= -->
   <extension
         point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension
            targetID="org.eclipse.hyades.trace.internal.ui.tracePerspective">
         <actionSet
               id="org.eclipse.hyades.trace.executionViewActionSet">
         </actionSet>
         <actionSet
               id="org.eclipse.hyades.trace.referenceViewActionSet">
         </actionSet>
         <actionSet
               id="org.eclipse.hyades.trace.profileViewActionSet">
         </actionSet>
         <view
               relative="org.eclipse.ui.console.ConsoleView"
               visible="false"
               relationship="stack"
               id="org.eclipse.hyades.trace.views.adapter.internal.PackageStatisticViewer">
         </view>
         <view
               relative="org.eclipse.ui.console.ConsoleView"
               visible="false"
               relationship="stack"
               id="org.eclipse.hyades.trace.views.adapter.internal.ClassStatisticViewer">
         </view>
         <view
               relative="org.eclipse.ui.console.ConsoleView"
               visible="false"
               relationship="stack"
               id="org.eclipse.hyades.trace.views.adapter.internal.MethodStatisticViewer">
         </view>
         <view
               relative="org.eclipse.ui.console.ConsoleView"
               visible="false"
               relationship="stack"
               id="org.eclipse.hyades.trace.views.adapter.internal.ClassInstanceStatisticViewer">
         </view>
         <view
               relative="org.eclipse.ui.console.ConsoleView"
               visible="false"
               relationship="stack"
               id="org.eclipse.hyades.trace.views.adapter.internal.CoverageViewer">
         </view>
         <view
               relative="org.eclipse.ui.console.ConsoleView"
               visible="false"
               relationship="stack"
               id="org.eclipse.hyades.trace.views.adapter.internal.PatternViewer">
         </view>
         <view
               relative="org.eclipse.ui.console.ConsoleView"
               visible="false"
               relationship="stack"
               id="org.eclipse.hyades.trace.views.adapter.internal.SinglePatternViewer">
         </view>
         <view
               relative="org.eclipse.ui.console.ConsoleView"
               visible="false"
               relationship="stack"
               id="org.eclipse.hyades.trace.views.adapter.internal.InvocationTableViewer">
         </view>
         <view
               relative="org.eclipse.ui.console.ConsoleView"
               visible="false"
               relationship="stack"
               id="org.eclipse.hyades.trace.views.adapter.internal.StatisticalViewer">
         </view>
         <view
	           relative="org.eclipse.ui.console.ConsoleView"
               visible="false"
               relationship="stack"
    	       id="org.eclipse.hyades.trace.views.adapter.internal.ReferenceTableViewer">
      	 </view>
         <viewShortcut
               id="org.eclipse.hyades.trace.views.adapter.internal.StatisticalViewer">
         </viewShortcut>
         <viewShortcut
               id="org.eclipse.hyades.trace.views.adapter.internal.PackageStatisticViewer">
         </viewShortcut>
      </perspectiveExtension>
   </extension>
<!-- ================================================================================= -->
   <extension
         point="org.eclipse.hyades.ui.analyzerExtensions">
      <analyzerExtension
            name="%STR_OPEN_PACKAGE_ST_ACTION"
            type="org.eclipse.hyades.profilingType.memoryHeap"
            icon="./icons/full/cview16/packclass_statistic_view.gif"
            isDefault="true"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenPackageStatisticViewAction"
            id="org.eclipse.hyades.trace.views.actions.internal.OpenPackageStatisticViewAction"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_OPEN_CLASS_ST_ACTION"
            type="org.eclipse.hyades.profilingType.memoryHeap"
            icon="./icons/full/cview16/classmeth_statistic_view.gif"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenClassStatisticViewAction"
            id="org.eclipse.hyades.trace.views.actions.internal.OpenClassStatisticViewAction"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_OPEN_METH_ST_ACTION"
            type="org.eclipse.hyades.profilingType.execution"
            icon="./icons/full/cview16/meth_statistic_view.gif"
            isDefault="true"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenMethodStatisticViewAction"
            id="org.eclipse.hyades.trace.views.actions.internal.OpenMethodStatisticViewAction"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_OPEN_CLASS_INSTANCE_ST_ACTION"
            type="org.eclipse.hyades.profilingType.memoryHeap"
            icon="./icons/full/cview16/classinst_statistic_view.gif"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenClassInstanceStatisticViewAction"
            id="org.eclipse.hyades.trace.views.actions.internal.OpenClassInstanceStatisticViewAction"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_OPEN_EXECUTION_ACTION"
            type="org.eclipse.hyades.profilingType.execution"
            icon="./icons/full/cview16/exec_flow_view.gif"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenPatternViewAction"
            id="org.eclipse.hyades.trace.views.actions.internal.OpenPatternViewAction"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_OPEN_OBJ_REF_ACTION"
            type="org.eclipse.hyades.profilingType.memoryHeap"
            icon="./icons/full/cview16/obj_ref_view.gif"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction"
            id="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_OPEN_COVERAGE_ST_ACTION"
            type="org.eclipse.hyades.profilingType.methodCoverage"
            icon="./icons/full/cview16/cov_statistic_view.gif"
            isDefault="true"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenCoverageViewAction"
            id="org.eclipse.hyades.trace.views.actions.internal.OpenCoverageViewAction"
            extension="trace">
      </analyzerExtension>
<!--statistical viewer -->
      <analyzerExtension
            name="%STR_OPEN_STATISTICAL_VIEWER_ACTION"
            type="Profiler"
            icon="./icons/full/cview16/model_statistic_view.gif"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenStatisticalViewerAction"
            id="org.eclipse.hyades.trace.views.actions.internal.OpenStatisticalViewerAction"
            extension="trace">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_OPEN_STATISTICAL_VIEWER_ACTION"
            type="Logging"
            icon="./icons/full/cview16/model_statistic_view.gif"
            class="org.eclipse.hyades.trace.views.actions.internal.OpenStatisticalViewerAction"
            id="org.eclipse.hyades.trace.views.actions.internal.OpenStatisticalViewerAction"
            extension="trace">
      </analyzerExtension>
   </extension>
<!-- ================================================================================= -->
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="%GRAPH_COLOR_PAGE"
            category="org.eclipse.hyades.trace.ui.internal.preferences.TraceViewPreferencePage"
            class="org.eclipse.hyades.trace.views.preferences.internal.GraphColorPreferencePage"
            id="org.eclipse.hyades.trace.views.preferences.internal.GraphColorPreferencePage">
      </page>
   </extension>
<!-- ================================================================================= -->
   <extension
         point="org.eclipse.ui.actionSets">
      <actionSet
            label="%STR_EVIEW_ACTION_SET"
            visible="false"
            id="org.eclipse.hyades.trace.executionViewActionSet">
         <action
               label="%STR_ACT_SET_EXEC_ACTION"
               icon="./icons/full/ctool16/exec_flow_co.gif"
               tooltip="%STR_ACT_SET_EXEC_ACTION_TIP"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenPatternViewAction"
               toolbarPath="trace/group.execution"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenExecutionFlowAction">
         </action>
      </actionSet>
      <actionSet
            label="%STR_RVIEW_ACTION_SET"
            visible="false"
            id="org.eclipse.hyades.trace.referenceViewActionSet">
         <action
               label="%STR_ACT_SET_REF_ACTION"
               icon="./icons/full/ctool16/obj_ref_co.gif"
               tooltip="%STR_ACT_SET_REF_ACTION_TIP"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction"
               toolbarPath="trace/group.memoryLeak"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenReferenceAction">
         </action>
      </actionSet>
      <actionSet
            label="%STR_VIEW_ACTION_SET"
            visible="false"
            id="org.eclipse.hyades.trace.profileViewActionSet">
         <action
               label="%STR_ACT_SET_COVERAGE"
               icon="./icons/full/ctool16/cov_statistic_co.gif"
               tooltip="%STR_ACT_SET_COVERAGE_TIP"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenCoverageViewAction"
               toolbarPath="trace/group.statistic"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenCoverageViewAction">
         </action>
         <action
               label="%STR_ACT_SET_CLS_INST"
               icon="./icons/full/ctool16/classinst_statistic_co.gif"
               tooltip="%STR_ACT_SET_CLS_INST_TIP"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenClassInstanceStatisticViewAction"
               toolbarPath="trace/group.statistic"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenClassInstanceStatisticAction">
         </action>
         <action
               label="%STR_ACT_SET_METH_ACTION"
               icon="./icons/full/ctool16/meth_stat_co.gif"
               tooltip="%STR_ACT_SET_METH_ACTION_TIP"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenMethodStatisticViewAction"
               toolbarPath="trace/group.statistic"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenMethodStatisticAction">
         </action>
         <action
               label="%STR_ACT_SET_CLS"
               icon="./icons/full/ctool16/classmeth_statistic_co.gif"
               tooltip="%STR_ACT_SET_CLS_TIP"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenClassStatisticViewAction"
               toolbarPath="trace/group.statistic"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenClassStatisticAction">
         </action>
         <action
               label="%STR_ACT_SET_PACKAGE"
               icon="./icons/full/ctool16/packclass_statistic_co.gif"
               tooltip="%STR_ACT_SET_PACKAGE_TIP"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenPackageStatisticViewAction"
               toolbarPath="trace/group.statistic"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenPackageStatisticAction">
         </action>
      </actionSet>
   </extension>
   <extension
         point="org.eclipse.ui.popupMenus">
      <objectContribution
            objectClass="org.eclipse.hyades.models.trace.TRCMethod"
            id="org.eclipse.hyades.models.trace.TRCMethod">
         <action
               label="%SHOW_SOURCE"
               icon="./icons/full/elcl16/opensource_co.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction"
               menubarPath="generic.action"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.models.trace.TRCMethodInvocation"
            id="org.eclipse.hyades.models.trace.TRCMethodInvocation">
         <action
               label="%SHOW_SOURCE"
               icon="./icons/full/elcl16/opensource_co.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction"
               menubarPath="generic.action"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction">
         </action>
         <action
               label="%STR_SHOW_CLS_ST"
               icon="./icons/full/ctool16/classmeth_statistic_co.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenClassStatisticViewAction"
               menubarPath="open.views"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenClassStatisticViewAction">
         </action>
         <action
               label="%STR_SHOW_METH_ST"
               icon="./icons/full/ctool16/meth_stat_co.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenMethodStatisticViewAction"
               menubarPath="open.views"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenMethodStatisticAction">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.models.trace.TRCClass"
            id="org.eclipse.hyades.models.trace.TRCClass">
         <action
               label="%SHOW_SOURCE"
               icon="./icons/full/elcl16/opensource_co.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction"
               menubarPath="generic.action"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.models.trace.TRCObject"
            id="org.eclipse.hyades.models.trace.TRCObject">
         <action
               label="%SHOW_SOURCE"
               icon="./icons/full/elcl16/opensource_co.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction"
               menubarPath="generic.action"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.models.trace.TRCObjectReference"
            id="org.eclipse.hyades.models.trace.TRCObject">
         <action
               label="%SHOW_SOURCE"
               icon="./icons/full/elcl16/opensource_co.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction"
               menubarPath="generic.action"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenSourceAction">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.models.trace.TRCMethod"
            id="org.eclipse.hyades.models.trace.TRCMethod">
         <action
               label="%METH_SHOW_INVOC"
               icon="./icons/full/cview16/exec_flow_view.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenMethodInvocationAction"
               menubarPath="open.views"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenMethodInvocationAction">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.models.trace.TRCMethodInvocation"
            id="org.eclipse.hyades.models.trace.TRCMethodInvocation">
         <action
               label="%METH_SHOW_INVOC"
               icon="./icons/full/cview16/exec_flow_view.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenMethodInvocationAction"
               menubarPath="open.views"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenMethodInvocationAction">
         </action>
      </objectContribution>
      <viewerContribution
            targetID="org.eclipse.hyades.trace.views.adapter.internal.PatternViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.PatternViewer">
         <action
               label="%SHOW_EXEC_STAT"
               icon="./icons/full/cview16/exec_flow_view.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenExecutionStatisticAction"
               menubarPath="open.views"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenExecutionStatisticAction">
         </action>
      </viewerContribution>
      <viewerContribution
            targetID="org.eclipse.hyades.trace.views.adapter.internal.SinglePatternViewer"
            id="org.eclipse.hyades.trace.views.adapter.internal.SinglePatternViewer">
         <action
               label="%SHOW_INVOC_STAT"
               icon="./icons/full/cview16/exec_flow_view.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenInvocationTableAction"
               menubarPath="open.views"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenInvocationTableAction">
         </action>
      </viewerContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.models.trace.TRCClass"
            id="org.eclipse.hyades.models.trace.TRCClass">
         <action
               label="%SHOW_OBJ_REF"
               icon="./icons/full/cview16/obj_ref_view.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction"
               menubarPath="open.views"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.models.trace.TRCObject"
            id="org.eclipse.hyades.models.trace.TRCObject">
         <action
               label="%SHOW_OBJ_REF"
               icon="./icons/full/cview16/obj_ref_view.gif"
               class="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction"
               menubarPath="open.views"
               id="org.eclipse.hyades.trace.views.actions.internal.OpenReferencePatternViewAction">
         </action>
      </objectContribution>
<!-- Contributions to Monitors View Popup Menu -->
      <objectContribution
            objectClass="org.eclipse.hyades.models.hierarchy.TRCAgentProxy"
            id="org.eclipse.hyades.models.hierarchy.TRCAgentProxy">
<!--GC Group -->
         <action
               label="%DUMP_OBJ_REF_ACTION"
               icon="icons/full/elcl16/heap_start_co.gif"
               helpContextId="collect_oj_ref_action_context"
               tooltip="%DUMP_OBJ_REF_ACTION_TIP"
               class="org.eclipse.hyades.trace.ui.internal.actions.CollectObjRefAction"
               menubarPath="gcGroup"
               id="org.eclipse.hyades.trace.ui.monitorsview.popupMenu.ObjRef">
         </action>
      </objectContribution>
      <objectContribution
            objectClass="org.eclipse.hyades.models.hierarchy.TRCProcessProxy"
            id="org.eclipse.hyades.models.hierarchy.TRCProcessProxy">
<!--GC Group -->
         <action
               label="%DUMP_OBJ_REF_ACTION"
               icon="icons/full/elcl16/heap_start_co.gif"
               helpContextId="collect_oj_ref_action_context"
               tooltip="%DUMP_OBJ_REF_ACTION_TIP"
               class="org.eclipse.hyades.trace.ui.internal.actions.CollectObjRefAction"
               menubarPath="gcGroup"
               id="org.eclipse.hyades.trace.ui.monitorsview.popupMenu.ObjRef">
         </action>
      </objectContribution>
   </extension>
   <extension
         point="org.eclipse.ui.viewActions">
<!-- Contributions to Monitors View Toolbar -->
      <viewContribution
            targetID="org.eclipse.hyades.trace.internal.ui.PDProjectExplorer"
            id="org.eclipse.hyades.trace.monitorsview.toolbar">
<!-- GC group-->
         <action
               label="%DUMP_OBJ_REF_ACTION"
               hoverIcon="icons/full/clcl16/heap_start_co.gif"
               icon="icons/full/elcl16/heap_start_co.gif"
               tooltip="%DUMP_OBJ_REF_ACTION_TIP"
               class="org.eclipse.hyades.trace.ui.internal.actions.CollectObjRefActionDelegate"
               toolbarPath="gcGroup"
               disabledIcon="icons/full/dlcl16/heap_start_co.gif"
               id="org.eclipse.hyades.trace.ui.internal.monitorsview.toolbar.collectObjRef">
         </action>
      </viewContribution>
   </extension>
   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="sdb.xml"
            plugin="org.eclipse.hyades.sdb">
      </contexts>
      <contexts
            file="traceviews.xml"
            plugin="org.eclipse.hyades.trace.views">
      </contexts>
      <contexts
            file="sdui.xml"
            plugin="org.eclipse.hyades.sd.ui">
      </contexts>
      <contexts
            file="traceui.xml"
            plugin="org.eclipse.hyades.trace.ui">
      </contexts>
   </extension>
   
</plugin>
